org.eclipse.emf.facet.widgets.celleditors

## Interface INaryEAttributeCellEditor<T>

    public interface INaryEAttributeCellEditor<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`Control` `activateCell(Composite parent, java.util.List<T> values, IModelCellEditHandler editHandler, EObject eObject, EStructuralFeature feature)` Initialize a cell for edition of a n-ary feature.
`java.util.List<T>` `getValue()`

### Method Detail

#### activateCell

    Control activateCell(Composite parent,
                         java.util.List<T> values,
                         IModelCellEditHandler editHandler,
                         EObject eObject,
                         EStructuralFeature feature)

Initialize a cell for edition of a n-ary feature. This method must create a control inside the given parent to let the user edit the value.

Parameters:
  `parent` - the SWT control that must contain the cell editor
  `values` - the actual values of the reference
  `feature` - the feature
  `eObject` - the `EObject` being currently edited.
  `editHandler` -
Returns:
  the SWT `Control` to be used for capturing the new cell value

#### getValue

    java.util.List<T> getValue()

Returns:
  the value currently in the control. This is the value that will be set on the model element when `IModelCellEditHandler.commit()` is called.